package java.awt.datatransfer;

public class DataFlavor {
   public static DataFlavor stringFlavor;
   public static DataFlavor plainTextFlavor;
   static final String serializedObjectMimeType = "application/x-java-serialized-object";
   static Class ioInputStreamClass;
   int atom;
   private String mimeType;
   private String humanPresentableName;
   private Class representationClass;

   public DataFlavor(Class var1, String var2) {
      this.mimeType = "application/x-java-serialized-object";
      this.representationClass = var1;
      this.humanPresentableName = var2;
   }

   public DataFlavor(String var1, String var2) {
      this.mimeType = var1;
      this.representationClass = ioInputStreamClass;
      this.humanPresentableName = var2;
   }

   public String getMimeType() {
      return this.mimeType;
   }

   public Class getRepresentationClass() {
      return this.representationClass;
   }

   public String getHumanPresentableName() {
      return this.humanPresentableName;
   }

   public void setHumanPresentableName(String var1) {
   }

   public boolean equals(DataFlavor var1) {
      return this.isMimeTypeEqual(var1) && var1.getRepresentationClass() == this.representationClass;
   }

   public boolean isMimeTypeEqual(String var1) {
      return var1.equals(this.mimeType);
   }

   public final boolean isMimeTypeEqual(DataFlavor var1) {
      return this.isMimeTypeEqual(var1.getMimeType());
   }

   protected String normalizeMimeTypeParameter(String var1, String var2) {
      return var1 + "=" + var2;
   }

   protected String normalizeMimeType(String var1) {
      return var1;
   }

   static {
      try {
         stringFlavor = new DataFlavor(Class.forName("java.lang.String"), "Unicode String");
         plainTextFlavor = new DataFlavor("text/plain; charset=unicode", "Plain Text");
         ioInputStreamClass = Class.forName("java.io.InputStream");
      } catch (ClassNotFoundException var0) {
      }
   }
}
