package java.awt.datatransfer;

import java.io.IOException;
import java.io.StringReader;

public class StringSelection implements Transferable, ClipboardOwner {
   static final int STRING = 0;
   static final int PLAIN_TEXT = 1;
   DataFlavor[] flavors;
   private String data;

   public StringSelection(String var1) {
      this.flavors = new DataFlavor[]{DataFlavor.stringFlavor, DataFlavor.plainTextFlavor};
      this.data = var1;
   }

   public synchronized DataFlavor[] getTransferDataFlavors() {
      return this.flavors;
   }

   public boolean isDataFlavorSupported(DataFlavor var1) {
      return var1.equals(this.flavors[0]) || var1.equals(this.flavors[1]);
   }

   public synchronized Object getTransferData(DataFlavor var1) throws UnsupportedFlavorException, IOException {
      if (var1.equals(this.flavors[0])) {
         return this.data;
      } else if (var1.equals(this.flavors[1])) {
         return new StringReader(this.data);
      } else {
         throw new UnsupportedFlavorException(var1);
      }
   }

   public void lostOwnership(Clipboard var1, Transferable var2) {
   }
}
